커뮤니티

커뮤니티 멤버 조회

GET /v1/communities/{community_id}/members reads 2 크레딧

커뮤니티의 멤버. 관리자와 모더레이터가 먼저 오며, 각각 role이 담깁니다.

쿼리 매개변수

쿼리 파라미터타입의미
countint 1–100 = 50요청 페이지 크기. X는 힌트로 취급
cursorstring이전 페이지의 next_cursor에서. 디코딩할 수 없는 커서는 400입니다

응답

커뮤니티 id, 신원·아바타·배지·role을 담은 사용자 레코드 한 페이지(소개와 각종 수치는 여기서 제공되지 않음), 다음 페이지 커서(끝이면 null).

상태: 200, 400, 404, 422, 429, 502

요청
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523/members?count=50 \
  -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 400
{
  "community_id": "1493446837214187523",
  "users": [
    {
      "id": "641633",
      "screen_name": "marckohlbrugge",
      "name": "Marc Köhlbrugge",
      "bio": "",
      "avatar": "https://pbs.twimg.com/profile_images/1857124042433572864/…_normal.jpg",
      "banner": null,
      "followers": null,
      "following": null,
      "tweets": null,
      "location": "",
      "url": null,
      "verified": true,
      "verified_type": "blue",
      "protected": false,
      "created_at": null,
      "category": null,
      "role": "Admin"
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "CycRAAAAAAwABAwKmwzBVQo+vQAAAABEb5BTCm07AAABfwdrA/gADJorCj69f…"
}